<div id="custom-overlay" [style.display]="splash ? 'flex' : 'none'">
  <div class="flb">
    <div class="Aligner-item Aligner-item--top"></div>
    <img src="assets/imgs/logo_transparent.png" />
    <div class="Aligner-item Aligner-item--bottom"></div>
  </div>
</div>

<ion-content
  style=" background: #000000; /* fallback for old browsers */
  background: -webkit-linear-gradient(to top, #000000,#151515, #434343); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to top, #000000,#151515, #434343);text-align: center
"
>
  <ion-row [hidden]="fb" style="height: 50px"> </ion-row>
  <img src="assets/imgs/icon.png" class="bis" />
  <h3>ZITAGON</h3>

  <ion-row class="first" [hidden]="loginPage || registerPage">
    <ion-col col-6>
      <button
        (click)="goSignUp()"
        ion-button
        style="opacity: 0.8;box-shadow: 0px 10px 30px #151515;border-radius: 20px"
        color="primary"
        block
      >
        {{ 'register' }}
      </button>
    </ion-col>
    <ion-col col-6>
      <button
        (click)="goSignIn()"
        ion-button
        style="opacity: 0.8;box-shadow: 0px 10px 30px #151515;border-radius: 20px"
        color="primary"
        block
      >
        {{ 'login' }}
      </button>
    </ion-col>
  </ion-row>

  <ion-row style="text-align: center">
    <ion-row [hidden]="!loginPage" style="width: 100%">
      <ion-col col-2> </ion-col>
      <ion-col col-8>
        <button
          (click)="signInWithFacebook()"
          ion-button
          style="opacity: 0.8;box-shadow: 0px 10px 30px #151515;border-radius: 20px"
          color="blue"
          block
          icon-left
        >
          <ion-icon name="logo-facebook"></ion-icon> Facebook
        </button>
      </ion-col>
      <ion-col col-2> </ion-col>
      <ion-col col-2> </ion-col>
      <ion-col col-8>
        <button
          (click)="signInWithGoogle()"
          ion-button
          style="opacity: 0.8;box-shadow: 0px 10px 30px #151515;border-radius: 20px"
          color="danger"
          block
          icon-left
        >
          <ion-icon name="logo-google"></ion-icon> Google
        </button>
      </ion-col>
      <ion-col col-2> </ion-col>

      <ion-col col-2> </ion-col>
      <ion-col col-8 style="text-align: center;border-radius: 3px;">
        <ion-list no-lines>
          <ion-item style="background-color: rgba(255, 255, 255, 0);">
            <ion-label color="lemon" floating>
              <ion-icon name="mail"></ion-icon> {{ 'email' | translate }}
            </ion-label>
            <ion-input
              type="text"
              style="color:white"
              [(ngModel)]="loginData.email"
              name="loginData.email"
            ></ion-input>
          </ion-item>

          <ion-item style="background-color: rgba(255, 255, 255, 0);">
            <ion-label color="lemon" floating>
              <ion-icon name="lock"></ion-icon>
              {{ 'password' | translate }}</ion-label
            >
            <ion-input
              type="password"
              style="color: white"
              [(ngModel)]="loginData.password"
              name="loginData.password"
            ></ion-input>
          </ion-item>
        </ion-list>
      </ion-col>
      <ion-col col-2> </ion-col>
      <ion-col col-2> </ion-col>
      <ion-col col-8>
        <button
          (click)="signIn()"
          ion-button
          style="opacity: 0.8;box-shadow: 0px 10px 30px #151515;border-radius: 20px"
          color="primary"
          block
        >
          {{ 'login' }}
        </button>
      </ion-col>
      <ion-col col-2> </ion-col>
    </ion-row>

    <ion-row [hidden]="!registerPage" style="width: 100%">
      <ion-col col-2> </ion-col>
      <ion-col col-8>
        <button
          (click)="signInWithFacebook()"
          ion-button
          style="opacity: 0.8;box-shadow: 0px 10px 30px #151515;border-radius: 20px"
          color="blue"
          block
          icon-left
        >
          <ion-icon name="logo-facebook"></ion-icon> Facebook
        </button>
      </ion-col>
      <ion-col col-2> </ion-col>
      <ion-col col-2> </ion-col>
      <ion-col col-8>
        <button
          (click)="signInWithGoogle()"
          ion-button
          style="opacity: 0.8;box-shadow: 0px 10px 30px #151515;border-radius: 20px"
          color="danger"
          block
          icon-left
        >
          <ion-icon name="logo-google"></ion-icon> Google
        </button>
      </ion-col>
      <ion-col col-2> </ion-col>

      <ion-col col-2> </ion-col>
      <ion-col col-8 style="text-align: center;border-radius: 3px;">
        <ion-list no-lines>
          <ion-item style="background-color: rgba(255, 255, 255, 0);">
            <ion-label color="lemon" floating>
              <ion-icon name="mail"></ion-icon> {{ 'email' | translate }}
            </ion-label>
            <ion-input
              type="text"
              [(ngModel)]="registerData.email"
              style="color:white"
              name="email"
            ></ion-input>
          </ion-item>

          <ion-item style="background-color: rgba(255, 255, 255, 0);">
            <ion-label color="lemon" floating>
              <ion-icon name="lock"></ion-icon> {{ 'password' | translate }}
            </ion-label>
            <ion-input
              type="password"
              [(ngModel)]="registerData.password"
              style="color: white"
              name="password"
            ></ion-input>
          </ion-item>
        </ion-list>
      </ion-col>

      <ion-col col-2> </ion-col>

      <ion-col col-2> </ion-col>

      <ion-col col-8>
        <button
          (click)="register()"
          ion-button
          style="opacity: 0.8;box-shadow: 0px 10px 30px #151515;border-radius: 20px"
          color="blue"
          block
        >
          {{ 'signUp' | translate }}
        </button>
      </ion-col>

      <ion-col col-2> </ion-col>
    </ion-row>

    <ion-row style="margin-left: auto;margin-right: auto;">
      <ion-col *ngIf="loginPage" col-6 style="text-align: left">
        <button
          (click)="forgotPassword()"
          ion-button
          style="opacity: 0.8"
          outline
        >
          {{ 'forgotPassword' | translate }}
        </button>
      </ion-col>

      <ion-col
        col-6
        style="text-align: right"
        *ngIf="loginPage || registerPage"
      >
        <button
          (click)="goSignUp()"
          *ngIf="!registerPage"
          ion-button
          style="opacity: 0.8"
          outline
        >
          <ion-icon name="ios-body"></ion-icon>
          {{ 'newUser' | translate }}
        </button>
        <button
          (click)="goSignIn()"
          *ngIf="registerPage"
          ion-button
          style="opacity: 0.8"
          outline
        >
          <ion-icon name="body"></ion-icon>{{ 'alreadyUser' }}
        </button>
      </ion-col>
    </ion-row>
  </ion-row>
  <ion-row *ngIf="loginPage || registerPage">
    <ion-col col-12 style="text-align:center">
      <button ion-button icon-only clear (click)="back()">
        <ion-icon name="arrow-back"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
</ion-content>
